package cn.iocoder.yudao.module.system.dal.mysql.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.MonthlyActivityPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.MonthlyActivityDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 月度活动 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface MonthlyActivityMapper extends BaseMapperX<MonthlyActivityDO> {

    default PageResult<MonthlyActivityDO> selectPage(MonthlyActivityPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<MonthlyActivityDO>()
                .eqIfPresent(MonthlyActivityDO::getActivityType, reqVO.getActivityType())
                .eqIfPresent(MonthlyActivityDO::getActivityDate, reqVO.getActivityDate())
                .eqIfPresent(MonthlyActivityDO::getActivityTitle, reqVO.getActivityTitle())
                .eqIfPresent(MonthlyActivityDO::getStatus, reqVO.getStatus())
                .eqIfPresent(MonthlyActivityDO::getOrgType,reqVO.getOrgType())
                .inIfPresent(MonthlyActivityDO::getTenantId,reqVO.getTenantIds())
                .orderByDesc(MonthlyActivityDO::getCreatedTime));
    }

}